Introduction Data Management Console for Cloud Pak for Data is a browser-based tool that helps you administer, monitor, manage and optimize the performance of IBM Db2 AESE, Db2 Warehouse, Db2 BIGSQL, Data Virtualization. The Data Management Console REST API connects to your Db2 service, so you can administer, monitor, manage and optimize the performance of IBM Db2 databases. Authentication <-- -- To authenticate to the API, you pass an access token in an Authorization header. The token is associated with a user name. To generate an access token, call the Get authorization tokenhttps://cloud.ibm.com/apidocs/cloud-pak-datagetauthorizationtoken method. <-- Authentication info sdks To authenticate to the API, you can pass either username and password credentials or an access token. Some services support only a single instance of the service and credentials. Other services support multiple instances. - Tokens support authenticated requests without embedding credentials in every call. If you pass a token, you maintain the token lifecycle. - Username and password credentials use basic authentication. However, the SDK manages the lifecycle of the tokens. -- <-- Host and Port info curl You can use the access token that is displayed in the IBM Cloud Pak for Data web client for testing and development. For production use, generate a token with the appropriate user name. - To find the access token in the IBM Cloud Pak for Data web client, view the details for the provisioned service instance. The details also include the service endpoint URL. For security reasons, don't use this token in production. - To generate an access token, call the Get authorization tokenget-authorization-token method. -- <-- Host and Port info sdks To find your value for {cpdclusterhost}, , and {instanceid}, view the service credentials by viewing the details for the provisioned service instance in the IBM Cloud Pak for Data web client. -- <-- -- Generating an access token. The response includes a token property. Replace {cpdclusterhost} and {port} with the details for the service instance. Replace {username} and {password} with your IBM Cloud Pak for Data credentials. bash curl -k -X POST -d "{\"username\":\"{username}\",\"password\":\"{password}\"}" "https://{cpdclusterhost}/icp4d-api/v1/authorize" Service endpoint The service endpoint is based on your IBM Cloud Pak deployment URL and Data Management Console instance name. https://{cpdclusterhost}/icp4data-addons/{dmc-instance}/zen/dbapi/v4/{method} For example, if your instance is deployed at https://www.example.com:31843 and your Data Management Console instance name is DMC-13845673250, you can access the APIs at https://www.example.com:31843/icp4data-addons/DMC-13845673250/zen/dbapi/v4/{method}. Example bash curl -H "Authorization: Bearer {token}" -X {requestmethod} "https://{cpdclusterhost}/icp4data-addons/{dmc-instance}/zen/dbapi/v4/{method}" Related information - Data Management Console docshttps://www.ibm.com/docs/SSQNUZ4.0/svc-welcome/dmc.html - Cloud Pak for Data APIs and SDKshttps://www.ibm.com/docs/SSQNUZ4.0/dev/avail-apis.html
| Method | Path | Summary |
|---|---|---|
| GET | /metrics/applications/top_consumer | Get top consumer metrics. |
| GET | /metrics/table_performance/schemas | Returns performance schemas |
| GET | /metrics/table_performance/tables | Returns performance table |
| GET | /metrics/statements/event_monitor_activity | Returns a list of event monitor activities |
| GET | /metrics/statements/event_monitor_activity/{application_handle}/{uow_id}/{activity_id} | Returns an event monitor activity detail |